Skip to main content
`Ctrl`+`K`

# NEPSetDS

Associates a direct solver object to the nonlinear eigensolver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetDS(NEP nep,DS ds)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- ds - the direct solver object

## Note

Use `NEPGetDS()` to retrieve the direct solver context (for example, to free it at the end of the computations).

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPGetDS()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages